#ifndef _FROGUTIL_H_
#define _FROGUTIL_H_

/*
  ---- Delphes ----
  A Fast Simulator for general purpose LHC detector
  S. Ovyn ~~~~ severine.ovyn@uclouvain.be
  
  Center for Particle Physics and Phenomenology (CP3)
  Universite Catholique de Louvain (UCL)
  Louvain-la-Neuve, Belgium
*/

/// \file SmearUtil.h
/// \brief RESOLution class, and some generic definitions

#include <iostream>
#include <fstream>
#include <utility>
#include <vector>
#include <math.h>

#include "TStyle.h"
#include "TPad.h"
#include "TCanvas.h"
#include "TSystem.h"
#include "TArrow.h"
#include "TROOT.h"
#include "TApplication.h"
#include "THStack.h"
#include "stdio.h"
#include "TChain.h"
#include "TString.h"
#include "TGraphErrors.h"
#include "TClonesArray.h"
#include "TFile.h"
#include "TH2.h"
#include "THStack.h"
#include "TLegend.h"
#include "TPaveText.h"
#include "TLorentzVector.h"
#include "TTree.h"
#include "TBranch.h"
#include "TRandom.h"

#include "interface/SmearUtil.h"
#include "Utilities/ExRootAnalysis/interface/BlockClasses.h"

#include "Utilities/ExRootAnalysis/interface/ExRootTreeReader.h"
#include "Utilities/ExRootAnalysis/interface/ExRootTreeWriter.h"
#include "Utilities/ExRootAnalysis/interface/ExRootTreeBranch.h"

#include "Utilities/FROG/Includes/FROG/FROG_Events.h"


using namespace std;
class FrogDisplay 
{
 public:
  /// Constructor
  FrogDisplay();

  void Build_1Event(FROG_Element_Event* event1);
  void BuidEvents(string outputfilename,int nEntryFrog);
  void BuildGeom(string DetDatacard);

};

#endif
